using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组会议需求表
    /// </summary>
    [SugarTable("Grp_DeleMeetingNeeds")]
    public class Grp_DeleMeetingNeeds:EntityBase
    {
        /// <summary>
        /// 团组公共需求表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DeleClientNeedId { get; set; }
        /// <summary>
        /// 会议类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int MeetingType { get; set; }
        /// <summary>
        /// 开会时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime MeetingDt { get; set; }
        /// <summary>
        /// 开会时长
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string MeethingSeptal { get; set; }
        /// <summary>
        /// 参会人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Person { get; set; }
        /// <summary>
        /// 会议金额预算
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string MeetingPrice { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string Contact { get; set; }
        /// <summary>
        /// 联系方式
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string Mobile { get; set; }
        /// <summary>
        /// 其他需求
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string NeedsChoose { get; set; }
    }
}
